Skip to main content
POST
/
v5
/
investments
/
gains
Save investment gains
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/investments/gains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "gains": [
    {
      "type": "OTHER_INTEREST",
      "date": "2022-01-04",
      "amount": 50.01,
      "id": 123,
      "status": "ACTIVE",
      "description": "<string>",
      "externalId": "<string>",
      "idPrefix": "COMPANY"
    }
  ]
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

gains object

gains
object[]

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object